=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20251206.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:25:25 +0000

union (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:12:11 +0000
