=== src/output/qtquick/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
     PositionerLayout.cpp
     Icon.h
     Icon.cpp
+    OutputProperties.cpp
+    OutputProperties.h
 
     scenegraph/UnionNode.cpp
     scenegraph/UnionNode.h
