=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20251209.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:31:49 +0000
