## union 0.0.0+p24.04+vunstable+git20260129.0314

=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20260129.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:14:24 +0000
