=== debian/control ===
Source: union
Section: libs
Priority: optional
Build-Depends: cmake,
               cxx-rust-cssparser-dev,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-shadertools-dev,
               qt6-svg-dev,
               rapidyaml
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/union
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/union.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/union
Maintainer: Neon CI <neon@kde.org>

Package: libunion-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         qt6-base-dev,
         union (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE's union library
 Union is a Qt style supporting both QtQuick and QtWidgets.
 .
 This package contains the library development files.

Package: union
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's union library
 Union is a Qt style supporting both QtQuick and QtWidgets.
 .
 This package contains the union main library.
