=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 add_library(Union::Union ALIAS Union)
 
 target_sources(Union PRIVATE
-    ThemeRegistry.cpp
-    ThemeRegistry.h
-    Theme.cpp
-    Theme.h
-    ThemeLoader.h
+    StyleRegistry.cpp
+    StyleRegistry.h
+    Style.cpp
+    Style.h
+    StyleLoader.h
     StyleRule.cpp
     StyleRule.h
     Element.cpp
