=== autotests/properties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>
#
# This file is automatically generated from CMakeLists.tests.txt.j2
# To regenerate, run `tools/propertygenerator/generate_properties.py`.

ecm_add_tests(
    TestStyleProperty.cpp
    TestLayoutProperty.cpp
    TestAlignmentProperty.cpp
    TestSizeProperty.cpp
    TestTextProperty.cpp
    TestIconProperty.cpp
    TestBackgroundProperty.cpp
    TestImageProperty.cpp
    TestBorderProperty.cpp
    TestLineProperty.cpp
    TestOutlineProperty.cpp
    TestCornersProperty.cpp
    TestCornerProperty.cpp
    TestShadowProperty.cpp
    TestOffsetProperty.cpp
    LINK_LIBRARIES Qt6::Test Union::Union
)
