=== src/platform/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Arjen Hiemstra <ahiemstra@heimr.nl>

if (WITH_FRAMEWORKS)
    add_subdirectory(frameworks)
endif()
