=== src/properties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>
#
# This file is automatically generated from CMakeLists.txt.j2
# To regenerate, run `tools/propertygenerator/generate_properties.py`.

target_sources(Union PRIVATE
    StyleProperty.cpp
    StyleProperty.h
    LayoutProperty.cpp
    LayoutProperty.h
    AlignmentProperty.cpp
    AlignmentProperty.h
    SizeProperty.cpp
    SizeProperty.h
    TextProperty.cpp
    TextProperty.h
    IconProperty.cpp
    IconProperty.h
    BackgroundProperty.cpp
    BackgroundProperty.h
    ImageProperty.cpp
    ImageProperty.h
    BorderProperty.cpp
    BorderProperty.h
    LineProperty.cpp
    LineProperty.h
    OutlineProperty.cpp
    OutlineProperty.h
    CornersProperty.cpp
    CornersProperty.h
    CornerProperty.cpp
    CornerProperty.h
    ShadowProperty.cpp
    ShadowProperty.h
    OffsetProperty.cpp
    OffsetProperty.h
)
